| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::MeshLodUsage Struct Reference
Core » Resources

A way of recording the way each LODs is recorded this Mesh. More...

`#include <OgreMesh.h>`

## Public Member Functions
| MeshLodUsage ()

## Public Attributes
EdgeData * | edgeData
| Edge list for this LOD level (may be derived from manual mesh). More...
MeshPtr | manualMesh
| Hard link to mesh to avoid looking up each time. More...
String | manualName
| Only relevant if mIsLodManual is true, the name of the alternative mesh to use. More...
Real | userValue
| User-supplied values used to determine on which distance the lod is applies. More...
Real | value
| Value used by to determine when this LOD applies. More...

## Detailed Description

A way of recording the way each LODs is recorded this Mesh.

## Constructor & Destructor Documentation

## ◆ MeshLodUsage()

Ogre::MeshLodUsage::MeshLodUsage | ( |  | ) |
| inline

## Member Data Documentation

## ◆ userValue

Real Ogre::MeshLodUsage::userValue

User-supplied values used to determine on which distance the lod is applies.

Remarks
  This is required in case the LOD strategy changes.

## ◆ value

Real Ogre::MeshLodUsage::value

Value used by to determine when this LOD applies.

Remarks
  May be interpretted differently by different strategies. Transformed from user-supplied values with LodStrategy::transformUserValue.

## ◆ manualName

String Ogre::MeshLodUsage::manualName

Only relevant if mIsLodManual is true, the name of the alternative mesh to use.

## ◆ manualMesh

MeshPtr Ogre::MeshLodUsage::manualMesh
| mutable

Hard link to mesh to avoid looking up each time.

## ◆ edgeData

EdgeData* Ogre::MeshLodUsage::edgeData
| mutable

Edge list for this LOD level (may be derived from manual mesh).

The documentation for this struct was generated from the following file:

- OgreMesh.h